package hdl

import (
	"applet/app/e"
	"applet/app/hdl/comm"
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// Demo
// @Summary      Demo测试
// @Tags         Demo
// @Description  Demo样例测试
// @Accept       json
// @Produce      json
// @Param        req 	body      interface{}          true   "用户名密码"
// @Success      200   {object}   map[string]interface{}				"token"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/demo [post]
func Demo(c *gin.Context) {
	var args comm.ImgReqUploadReq
	err := c.ShouldBindJSON(&args)
	if err != nil {
		err = svc.HandleValidateErr(err)
		err1 := err.(e.E)
		e.OutErr(c, err1.Code, err1.Error())
		return
	}
	comm.NewCommOss(c, args)
}
